Bitcoin Forum
December 03, 2016, 10:10:50 PM *
News: To be able to use the next phase of the beta forum software, please ensure that your email address is correct/functional.
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 [41] 42 43 44 45 46 47 48 49 50 51 52 53 54 »
  Print  
Author Topic: BAMT - Easy persistent USB key based linux for dedicated miners/mining farms  (Read 160851 times)
lodcrappo
Hero Member
*****
Offline Offline

Activity: 588


View Profile WWW
February 13, 2012, 02:29:07 AM
 #801

As a way of expressing my gratitude for lodcrappo's excellent software and contributing in a way that did not require me to spend what little Bitcoins I have, I set up an anonymous FTP mirror of BAMT on an unmetered server. It can be accessed at ftp://50.53.21.166:3141/bamt/bamt_v0.4b.zip. I will add 0.5 when it is released to the public, and I'd be glad to keep the older versions on there in case anyone needs them.

Thanks!  There are many ways to help out besides sending btc, and you've done well to take the initiative and find a way to contribute.  If everybody helped according to their own resources, no matter how large or small, we would have a much nicer system than we do today.

If you want to support further development of BAMT (http://bamter.org/):  1PoRYaGS56ksQmK7XXLurW3B2zwCAE8PRc
Once a transaction has 6 confirmations, it is extremely unlikely that an attacker without at least 50% of the network's computation power would be able to reverse it.
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1480803050
Hero Member
*
Offline Offline

Posts: 1480803050

View Profile Personal Message (Offline)

Ignore
1480803050
Reply with quote  #2

1480803050
Report to moderator
1480803050
Hero Member
*
Offline Offline

Posts: 1480803050

View Profile Personal Message (Offline)

Ignore
1480803050
Reply with quote  #2

1480803050
Report to moderator
1480803050
Hero Member
*
Offline Offline

Posts: 1480803050

View Profile Personal Message (Offline)

Ignore
1480803050
Reply with quote  #2

1480803050
Report to moderator
cmg5461
Sr. Member
****
Offline Offline

Activity: 374



View Profile
February 14, 2012, 12:41:17 AM
 #802

A bug that I've noticed (not sure it it's related to linux)

If you plug in a monitor to a video card while bamt is running everything works fine.  But when you unplug it, the web-status-thingy-ma-jig spits out an error until it's restarted.  it's a bunch of []{}\/ and |'s with a reference to status.pl inside it.

Anyone else have this issue?

If I've helped: 1CmguJhwW4sbtSMFsyaafikJ8jhYS61quz

Sold: 5850 to lepenguin. Quick, easy and trustworthy.
lodcrappo
Hero Member
*****
Offline Offline

Activity: 588


View Profile WWW
February 14, 2012, 12:43:41 AM
 #803

A bug that I've noticed (not sure it it's related to linux)

If you plug in a monitor to a video card while bamt is running everything works fine.  But when you unplug it, the web-status-thingy-ma-jig spits out an error until it's restarted.  it's a bunch of []{}\/ and |'s with a reference to status.pl inside it.

Anyone else have this issue?

a pastebin or other capture of the exact message would be helpful, can only guess without it.

I haven't hooked a monitor up to a bamt rig in quite some time.

If you want to support further development of BAMT (http://bamter.org/):  1PoRYaGS56ksQmK7XXLurW3B2zwCAE8PRc
jamesg
VIP
Legendary
*
Offline Offline

Activity: 1330


AKA: gigavps


View Profile
February 14, 2012, 12:47:06 AM
 #804

I haven't hooked a monitor up to a bamt rig in quite some time.

LOL! WTF is a monitor?
gnar1ta$
Donator
Hero Member
*
Offline Offline

Activity: 756


View Profile
February 14, 2012, 01:47:17 AM
 #805

I haven't hooked a monitor up to a bamt rig in quite some time.

LOL! WTF is a monitor?

Thanks guys, I really LOLed...and everyone in the office gave the WTF lay off the drugs stare.  I didn't even know BAMT had a GUI.  Doesn't it just boot to a console?  That's what my test BAMT VM does.

Losing hundreds of Bitcoins with the best scammers in the business - BFL, Avalon, KNC, HashFast.
DeathAndTaxes
Donator
Legendary
*
Offline Offline

Activity: 1218


Gerald Davis


View Profile
February 14, 2012, 03:32:07 AM
 #806

A bug that I've noticed (not sure it it's related to linux)

If you plug in a monitor to a video card while bamt is running everything works fine.  But when you unplug it, the web-status-thingy-ma-jig spits out an error until it's restarted. 
Anyone else have this issue?



No seriously it probably shouldn't do that but why are you using a monitor w/ BAMT?  It is like putting a spoiler on a dump truck.

SSH is all you need for management and for routine monitoring you don't even need that, a web browser works just fine.

Splirow
Full Member
***
Offline Offline

Activity: 164


View Profile
February 14, 2012, 05:18:49 AM
 #807

Just started and it is working GREAT!!

Does anybody have any tips or best configurations for my 5970's? I have 3 of them.....with BAMT.
cmg5461
Sr. Member
****
Offline Offline

Activity: 374



View Profile
February 14, 2012, 06:21:24 AM
 #808

A bug that I've noticed (not sure it it's related to linux)

If you plug in a monitor to a video card while bamt is running everything works fine.  But when you unplug it, the web-status-thingy-ma-jig spits out an error until it's restarted.  it's a bunch of []{}\/ and |'s with a reference to status.pl inside it.

Anyone else have this issue?

a pastebin or other capture of the exact message would be helpful, can only guess without it.

I haven't hooked a monitor up to a bamt rig in quite some time.


Quote
__.....__ .' ':, / __ _ __ \\ | |_)) || |_))|| | | \\ || | || | || _, | status.pl ||.-(_{} | |/ ` | ,_ (;|/) \\| {}_)-,||` \\;/,,;;;;;;;,\\|//, .;;;;;;;;;;;;;;;;, ,;;;;;;;;;;;;;;;;,// \\;;;;;;;;;;;;;;;;,// ,';;;;;;;;;;;;;;;;' One of the BAMT tools has suffered a fatal error. Can't use an undefined value as a HASH reference at /usr/lib/cgi-bin/status.pl line 88. Defiled: Unable to record this travesty in the deathlog! Why?: Permission denied

is all i see Smiley

reproduced it twice by unplugging the monitor from a 5970.


If I've helped: 1CmguJhwW4sbtSMFsyaafikJ8jhYS61quz

Sold: 5850 to lepenguin. Quick, easy and trustworthy.
cmg5461
Sr. Member
****
Offline Offline

Activity: 374



View Profile
February 14, 2012, 06:23:40 AM
 #809

A bug that I've noticed (not sure it it's related to linux)

If you plug in a monitor to a video card while bamt is running everything works fine.  But when you unplug it, the web-status-thingy-ma-jig spits out an error until it's restarted. 
Anyone else have this issue?



No seriously it probably shouldn't do that but why are you using a monitor w/ BAMT?  It is like putting a spoiler on a dump truck.

SSH is all you need for management and for routine monitoring you don't even need that, a web browser works just fine.



I normally use SSH, but I'm not 100% in linux yet.  I have the monitor to fix my screwups in the putty.

If I've helped: 1CmguJhwW4sbtSMFsyaafikJ8jhYS61quz

Sold: 5850 to lepenguin. Quick, easy and trustworthy.
cmg5461
Sr. Member
****
Offline Offline

Activity: 374



View Profile
February 14, 2012, 06:31:11 AM
 #810

Also, is there a way to script a clock/voltage/fan change at specific times?  I manually change the clocks when my roommate and I go to sleep. (out of curtesy)

If I've helped: 1CmguJhwW4sbtSMFsyaafikJ8jhYS61quz

Sold: 5850 to lepenguin. Quick, easy and trustworthy.
lodcrappo
Hero Member
*****
Offline Offline

Activity: 588


View Profile WWW
February 14, 2012, 06:34:26 AM
 #811

A bug that I've noticed (not sure it it's related to linux)

If you plug in a monitor to a video card while bamt is running everything works fine.  But when you unplug it, the web-status-thingy-ma-jig spits out an error until it's restarted.  it's a bunch of []{}\/ and |'s with a reference to status.pl inside it.

Anyone else have this issue?

a pastebin or other capture of the exact message would be helpful, can only guess without it.

I haven't hooked a monitor up to a bamt rig in quite some time.


Quote
__.....__ .' ':, / __ _ __ \\ | |_)) || |_))|| | | \\ || | || | || _, | status.pl ||.-(_{} | |/ ` | ,_ (;|/) \\| {}_)-,||` \\;/,,;;;;;;;,\\|//, .;;;;;;;;;;;;;;;;, ,;;;;;;;;;;;;;;;;,// \\;;;;;;;;;;;;;;;;,// ,';;;;;;;;;;;;;;;;' One of the BAMT tools has suffered a fatal error. Can't use an undefined value as a HASH reference at /usr/lib/cgi-bin/status.pl line 88. Defiled: Unable to record this travesty in the deathlog! Why?: Permission denied

is all i see Smiley

reproduced it twice by unplugging the monitor from a 5970.


Well.. you are definitely looking at it wrong... that error looks like this:





                     __.....__ 
                   .'         ':,
                  /  __  _  __  \\
                  | |_)) || |_))||
                  | | \\ || |   ||
                  |             ||   _,
                  |  status.pl  ||.-(_{}
                  |             |/    `
                  |        ,_ (;|/)
                \\|       {}_)-,||`
                \\;/,,;;;;;;;,\\|//,
               .;;;;;;;;;;;;;;;;,   
              ,;;;;;;;;;;;;;;;;,// 
             \\;;;;;;;;;;;;;;;;,// 
            ,';;;;;;;;;;;;;;;;'   


   One of the BAMT tools has suffered a fatal error.

Can't use an undefined value as a HASH reference at /usr/lib/cgi-bin/status.pl line 88.

Defiled: Unable to record this travesty in the deathlog! Why?: Permission denied



If you want to support further development of BAMT (http://bamter.org/):  1PoRYaGS56ksQmK7XXLurW3B2zwCAE8PRc
lodcrappo
Hero Member
*****
Offline Offline

Activity: 588


View Profile WWW
February 14, 2012, 07:45:40 AM
 #812

A bug that I've noticed (not sure it it's related to linux)

If you plug in a monitor to a video card while bamt is running everything works fine.  But when you unplug it, the web-status-thingy-ma-jig spits out an error until it's restarted.  it's a bunch of []{}\/ and |'s with a reference to status.pl inside it.

Anyone else have this issue?

a pastebin or other capture of the exact message would be helpful, can only guess without it.

I haven't hooked a monitor up to a bamt rig in quite some time.


Quote
__.....__ .' ':, / __ _ __ \\ | |_)) || |_))|| | | \\ || | || | || _, | status.pl ||.-(_{} | |/ ` | ,_ (;|/) \\| {}_)-,||` \\;/,,;;;;;;;,\\|//, .;;;;;;;;;;;;;;;;, ,;;;;;;;;;;;;;;;;,// \\;;;;;;;;;;;;;;;;,// ,';;;;;;;;;;;;;;;;' One of the BAMT tools has suffered a fatal error. Can't use an undefined value as a HASH reference at /usr/lib/cgi-bin/status.pl line 88. Defiled: Unable to record this travesty in the deathlog! Why?: Permission denied

is all i see Smiley

reproduced it twice by unplugging the monitor from a 5970.



Tracked down that error, it is occurring because the ATI ADL lib is reporting no GPU found.  That's a problem that is normally much more serious than the web interface.  I would expect it to cause mining to die entirely.

My advice: 

Don't do that.


If you want to support further development of BAMT (http://bamter.org/):  1PoRYaGS56ksQmK7XXLurW3B2zwCAE8PRc
tnkflx
Sr. Member
****
Offline Offline

Activity: 346


View Profile
February 14, 2012, 09:45:01 AM
 #813


Why don't you just modify /etc/init.d/networking so that ifup and ifdown use a different file (via the -i option) other than /etc/network/interfaces?  That works for me...

Edit:  In fact, replace the bottom part of /etc/init.d/networking just like this, then it will load interfaces from /etc/bamt/interfaces, and if you don't have a bamt interfaces file it will behave exactly as it always did:


IFFILE="/etc/network/interfaces"

if [ -e  "/etc/bamt/interfaces" ]
then
        # will use bamt network interfaces file
        IFFILE="/etc/bamt/interfaces"
fi



case "$1" in
start)
        process_options

        log_action_begin_msg "Configuring network interfaces"
        if ifup -a -i "${IFFILE}"; then
            log_action_end_msg $?
        else
            log_action_end_msg $?
        fi
        ;;

stop)
        check_network_file_systems
        check_network_swap

        log_action_begin_msg "Deconfiguring network interfaces"
        if ifdown -a -i "${IFFILE}" --exclude=lo; then
            log_action_end_msg $?
        else
            log_action_end_msg $?
        fi
        ;;

force-reload|restart)
        process_options

        log_warning_msg "Running $0 $1 is deprecated because it may not enable again some interfaces"
        log_action_begin_msg "Reconfiguring network interfaces"
        ifdown -a "${IFFILE}" --exclude=lo || true
        if ifup -a "${IFFILE}" --exclude=lo; then
            log_action_end_msg $?
        else
            log_action_end_msg $?
        fi
        ;;

*)
        echo "Usage: /etc/init.d/networking {start|stop}"
        exit 1
        ;;
esac

exit 0



Can this be added to the default install? I'm using static ip addresses on all miners and need to adapt each one with this...

| Operating electrum.be & us.electrum.be |
lodcrappo
Hero Member
*****
Offline Offline

Activity: 588


View Profile WWW
February 14, 2012, 10:03:08 AM
 #814


Why don't you just modify /etc/init.d/networking so that ifup and ifdown use a different file (via the -i option) other than /etc/network/interfaces?  That works for me...

Edit:  In fact, replace the bottom part of /etc/init.d/networking just like this, then it will load interfaces from /etc/bamt/interfaces, and if you don't have a bamt interfaces file it will behave exactly as it always did:


IFFILE="/etc/network/interfaces"

if [ -e  "/etc/bamt/interfaces" ]
then
        # will use bamt network interfaces file
        IFFILE="/etc/bamt/interfaces"
fi



case "$1" in
start)
        process_options

        log_action_begin_msg "Configuring network interfaces"
        if ifup -a -i "${IFFILE}"; then
            log_action_end_msg $?
        else
            log_action_end_msg $?
        fi
        ;;

stop)
        check_network_file_systems
        check_network_swap

        log_action_begin_msg "Deconfiguring network interfaces"
        if ifdown -a -i "${IFFILE}" --exclude=lo; then
            log_action_end_msg $?
        else
            log_action_end_msg $?
        fi
        ;;

force-reload|restart)
        process_options

        log_warning_msg "Running $0 $1 is deprecated because it may not enable again some interfaces"
        log_action_begin_msg "Reconfiguring network interfaces"
        ifdown -a "${IFFILE}" --exclude=lo || true
        if ifup -a "${IFFILE}" --exclude=lo; then
            log_action_end_msg $?
        else
            log_action_end_msg $?
        fi
        ;;

*)
        echo "Usage: /etc/init.d/networking {start|stop}"
        exit 1
        ;;
esac

exit 0



Can this be added to the default install? I'm using static ip addresses on all miners and need to adapt each one with this...

Is there some reason you cannot make the change once and then read the image back off that key?  There's your new master with exactly the changes you like.

No reason to do anything over and over again with BAMT, ever.  Also you should apply all fixes at the same time.  Make an image as close to ready to go as possible, don't work from the downloaded stock image.

Also #2, it is highly recommended that you assign static IP addresses using DHCP reservations if you must have them for some reason.  Maintaining a bunch of manually assigned and manually configured machines is a real waste of time, as you are probably finding out.

If you want to support further development of BAMT (http://bamter.org/):  1PoRYaGS56ksQmK7XXLurW3B2zwCAE8PRc
malevolent
can into space
Staff
Legendary
*
Offline Offline

Activity: 1624



View Profile
February 14, 2012, 10:18:16 AM
 #815


Had the same problem as above yesterday.
lodcrappo
Hero Member
*****
Offline Offline

Activity: 588


View Profile WWW
February 14, 2012, 10:26:36 AM
 #816


Had the same problem as above yesterday.



My advice:  

You also should not do that.

Seriously, there is nothing I could do to fix an ATI library failure anyway.  The best I could do is display some more pretty "Sorry, your GPU won't talk to me anymore" message instead of what you're getting now..  I can't make it actually work, its gone and apparently it doesn't come back.   So.. not going to spend time on that.  Recommend to stop plugging monitors into BAMT machines. 

If you want to support further development of BAMT (http://bamter.org/):  1PoRYaGS56ksQmK7XXLurW3B2zwCAE8PRc
tnkflx
Sr. Member
****
Offline Offline

Activity: 346


View Profile
February 14, 2012, 11:04:03 AM
 #817


Can this be added to the default install? I'm using static ip addresses on all miners and need to adapt each one with this...

Is there some reason you cannot make the change once and then read the image back off that key?  There's your new master with exactly the changes you like.

No reason to do anything over and over again with BAMT, ever.  Also you should apply all fixes at the same time.  Make an image as close to ready to go as possible, don't work from the downloaded stock image.

Also #2, it is highly recommended that you assign static IP addresses using DHCP reservations if you must have them for some reason.  Maintaining a bunch of manually assigned and manually configured machines is a real waste of time, as you are probably finding out.

I actually haven't thought of that. Thanks! I'll work from the image itself Smiley Smiley

| Operating electrum.be & us.electrum.be |
lodcrappo
Hero Member
*****
Offline Offline

Activity: 588


View Profile WWW
February 14, 2012, 11:11:15 AM
 #818

Here are some screenshots of the "gpumon upgrade" that is to be included in 0.5, if we ever do decide how to release that thing.

In a nutshell, it adds basically all the extra stuff that cgminer does to phoenix (all completely optional of course).

Auto fan and GPU clock management, flexible pool failover (multiple strategies and whatnot), lots more stats to stare at, tons of settings to tweak, yadda yadda.

Lock up your machine with style... like never before.












And if that wasn't enough...

but wait, there's more...

The new autoconf tool is sort of like DHCP for entire mining configurations.  At boot the client gathers details about the GPUs it detects and listens on the network for an autoconf server.  If it hears one announce it self (or overhears another client talking to it), it will then submit the GPU details it had collected and ask the server for a configuration.
Provided the server knows enough about those GPU models to provide one, or at least has a minimal set of defaults in place, the new rig begins mining for you without ever needing to be touched by hand.  Further refinements to it's configuration can be done from a central web based console.



See the status of all your rigs in one overview
Change pools farmwide in seconds, just takes a couple clicks
Issue commands and gather responses from groups of miners in one operation (run fixer, reboot, etc)
Add much, much more in this limited time offer.


So.. lets sort this whole 32 bit vs 64 bit thing out so I can release a 0.5 image and get this party started, eh?



If you want to support further development of BAMT (http://bamter.org/):  1PoRYaGS56ksQmK7XXLurW3B2zwCAE8PRc
tnkflx
Sr. Member
****
Offline Offline

Activity: 346


View Profile
February 14, 2012, 11:15:52 AM
 #819

Nice, need any additional testers?

| Operating electrum.be & us.electrum.be |
lodcrappo
Hero Member
*****
Offline Offline

Activity: 588


View Profile WWW
February 14, 2012, 11:23:49 AM
 #820

Nice, need any additional testers?

we have several folks testing a 64 bit image already, unfortunately the general consensus was not good on that.
don't really want to add more to that test since i'd really like it to be over and move on to a release.

once the 0.5 image is available, we'll need lots of testers of course.  many new things, many new bugs.


If you want to support further development of BAMT (http://bamter.org/):  1PoRYaGS56ksQmK7XXLurW3B2zwCAE8PRc
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 [41] 42 43 44 45 46 47 48 49 50 51 52 53 54 »
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!